_Ecore_Wl2_Surface_Interface Struct Reference

`#include <Ecore_Wl2.h>`

## Data Fields

int | id
int | version
void *(* | setup )(Ecore_Wl2_Window *win)
void(* | destroy )(Ecore_Wl2_Surface *surface, void *priv_data)
void(* | reconfigure )(Ecore_Wl2_Surface *surface, void *priv_data, int w, int h, uint32_t flags, Eina_Bool alpha)
void *(* | data_get )(Ecore_Wl2_Surface *surface, void *priv_data, int *w, int *h)
int(* | assign )(Ecore_Wl2_Surface *surface, void *priv_data)
void(* | post )(Ecore_Wl2_Surface *surface, void *priv_data, Eina_Rectangle *rects, unsigned int count)
void(* | flush )(Ecore_Wl2_Surface *surface, void *priv_data, Eina_Bool purge)

## Detailed Description

Since
  1.25